Package org.eclipse.swt.dnd

# Class DropTargetEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.dnd.DropTargetEvent

public class DropTargetEvent extends TypedEvent
The DropTargetEvent contains the event information passed in the methods of the DropTargetListener.

Since:
  1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`TransferData`
`currentDataType`
The type of data that will be dropped.
`TransferData[]`
`dataTypes`
A list of the types of data that the DragSource is capable of providing.
`int`
`detail`
The operation being performed.
`int`
`feedback`
A bitwise OR'ing of the drag under effect feedback to be displayed to the user (e.g.
`Widget`
`item`
If the associated control is a table or tree, this field contains the item located at the cursor coordinates.
`int`
`operations`
A bitwise OR'ing of the operations that the DragSource can support (e.g.
`int`
`x`
The x-cordinate of the cursor relative to the `Display`
`int`
`y`
The y-cordinate of the cursor relative to the `Display`

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`DropTargetEvent(DNDEvent e)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public int x
The x-cordinate of the cursor relative to the `Display`

### y

public int y
The y-cordinate of the cursor relative to the `Display`

### detail

public int detail
The operation being performed.

See Also:
  - `DND.DROP_NONE`
  - `DND.DROP_MOVE`
  - `DND.DROP_COPY`
  - `DND.DROP_LINK`
  - `DND.DROP_DEFAULT`

### operations

public int operations
A bitwise OR'ing of the operations that the DragSource can support (e.g. DND.DROP_MOVE | DND.DROP_COPY | DND.DROP_LINK). The detail value must be a member of this list or DND.DROP_NONE.

See Also:
  - `DND.DROP_NONE`
  - `DND.DROP_MOVE`
  - `DND.DROP_COPY`
  - `DND.DROP_LINK`
  - `DND.DROP_DEFAULT`

### feedback

public int feedback
A bitwise OR'ing of the drag under effect feedback to be displayed to the user (e.g. DND.FEEDBACK_SELECT | DND.FEEDBACK_SCROLL | DND.FEEDBACK_EXPAND).

A value of DND.FEEDBACK_NONE indicates that no drag under effect will be displayed.

Feedback effects will only be applied if they are applicable.

The default value is DND.FEEDBACK_SELECT.

See Also:
  - `DND.FEEDBACK_NONE`
  - `DND.FEEDBACK_SELECT`
  - `DND.FEEDBACK_INSERT_BEFORE`
  - `DND.FEEDBACK_INSERT_AFTER`
  - `DND.FEEDBACK_SCROLL`
  - `DND.FEEDBACK_EXPAND`

### item

public Widget item
If the associated control is a table or tree, this field contains the item located at the cursor coordinates.

### currentDataType

public TransferData currentDataType
The type of data that will be dropped.

### dataTypes

public TransferData[] dataTypes
A list of the types of data that the DragSource is capable of providing. The currentDataType must be a member of this list.

## Constructor Details

### DropTargetEvent

public DropTargetEvent(DNDEvent e)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information
Since:
  2.0

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `TypedEvent`